---
title: "Rightmove API: Search | Perceptlayer"
description: "Search from Rightmove as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/rightmove/search
---

[APIs](https://perceptlayer.com/apis) / [Rightmove](https://perceptlayer.com/apis/rightmove) / Search

# Rightmove: Search

Search from Rightmove as JSON. 1 credit per successful call.

GET `/v1/rightmove/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `location` | string | Optional | Up to 120 characters |
| `location_identifier` | string | Optional | Up to 60 characters |
| `location_name` | string | Optional | Up to 120 characters |
| `channel` | string | Required | BUY, RENT, COMMERCIAL\_BUY, COMMERCIAL\_RENT |
| `radius` | integer | Optional | Any |
| `page` | integer | Optional | Any |
| `sort` | integer | Optional | Any |
| `min_price` | integer | Optional | Any |
| `max_price` | integer | Optional | Any |
| `min_bedrooms` | integer | Optional | Any |
| `max_bedrooms` | integer | Optional | Any |
| `property_type` | string | Optional | Up to 60 characters |
| `must_have` | string | Optional | Up to 60 characters |
| `enrich` | boolean | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/rightmove/search?location=London&channel=BUY" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/rightmove?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
